k0rdent AI Docs

Update cluster configuration

Visibility: internal ยท public ( OpenAPI Custom Extension: x-visibility )

"Cluster CRUD API"; Update cluster configuration to scale resources, upgrade versions, or modify settings.

PATCH
/v1/regions/{region}/projects/{project}/compute/clusters/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

region*string

Region identifier

project*string

Project identifier

id*string

Unique cluster identifier

Request Body

application/json

displayName?string

Updated human-friendly display name for the cluster.

description?string

Updated description of this resource.

kubernetesVersion?string

Upgrade to Kubernetes version

nodePools?array<unknown>

Node pools belonging to this cluster.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.k0rdent.ai/v1/regions/string/projects/string/compute/clusters/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/clusters/cluster-a1b2c3",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "cluster-a1b2c3",
  "displayName": "string",
  "description": "string",
  "nodePools": [
    null
  ],
  "status": {
    "phase": "string",
    "conditions": [
      {}
    ]
  },
  "nodeCount": 0,
  "kubernetesVersion": "string",
  "endpoint": {
    "url": "string",
    "caCertificate": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings